如何修复WordPress错误缺少MySQL扩展问题

如果您收到了 “您的PHP安装似乎缺少WordPress所需的MySQL扩展”错误,那么本教程将可以帮助您解决该问题。 当您网站中的PHP代码与您的WordPress网站当前使用的PHP版本不兼容时,将触发此错误。

更具体地说,此问题与过时的MySQL扩展有关,该扩展自PHP 7.0起已删除。 在本教程中,我们将帮助您解决与 PHP缺少MySQL扩展 错误,并帮助您成功完成WordPress安装。

缺少PHP扩展不是您应该担心的事情。 如果您在尝试通过网络浏览器访问WordPress安装时在屏幕上看到以下消息,则您是面临相同问题的许多WordPress用户之一。

您看到的错误应如下所示:

您的PHP安装似乎缺少WordPress所需的MySQL扩展。

您的PHP安装似乎缺少wordpress所需的mysql扩展

1.通过SSH连接并检查PHP版本

要解决此问题,您应该对服务器具有SSH访问权限。 通过SSH连接到Linux VPS,并检查当前使用的PHP版本:

php -v

2.创建Info.php文件

您还可以通过创建一个简单的代码来检查PHP版本 info.php 档案在您的 public_html 具有以下内容的目录:

<?php phpinfo(); ?>

创建文件后,打开您喜欢的Web浏览器并访问该文件。

3.更新所需的软件包

如果您正在运行Ubuntu VPS,并且 PHP 7,然后运行以下命令:

apt-get update
apt-get install php7.0-mysql

安装更高版本的PHP和PHP MySQL扩展应该可以帮助您避免“ PHP安装缺少MySQL扩展”错误。

4.重新启动Web服务器

然后重新启动Apache服务以使更改生效,或者如果您使用的是Nginx + PHP-FPM,则重新启动PHP-FPM服务。

5.更新PHP

如果您正在跑步 PHP 5,运行以下命令:

apt-get update
apt-get install php-mysql

重新启动适当的服务,以使更改生效。

PHP安装似乎缺少mysql扩展名

6.搜索所有包含MySQL的可用软件包

搜索包含以下内容的所有可用软件包 mysql,您可以使用以下命令:

apt-cache search mysql

另一方面,如果您正在运行CentOS VPS,并且您拥有 PHP 7 安装在服务器上,然后运行以下命令来解决该问题:

yum update
yum install php70w-mysql

7.重新启动Apache

如果您使用Nginx + PHP-FPM作为Web服务器,请重新启动Apache或PHP-FPM服务。

如果你有 PHP 5 安装在您的CentOS服务器上,运行以下命令:

yum update
yum install php-mysql

重新启动适当的服务,以使更改生效。

搜索包含以下内容的所有可用软件包 mysql,您可以使用以下命令:

yum search mysql

MySQL的PHP​​扩展现已修复

安装用于PHP的MySQL扩展后,您可以返回到WordPress设置。 如果安装顺利,则不应向您显示有关缺少MySQL扩展的消息。 您现在可以继续进行WordPress设置!

如何修复WordPress错误缺少MySQL扩展问题

PHP安装似乎缺少MySQL扩展

当然,您不必修复。如果您使用我们的MySQL VPS托管服务之一,则您的PHP安装似乎缺少MySQL扩展,在这种情况下,您可以简单地要求我们的专业Linux管理员来帮助您修复缺少的MySQL WordPress中的扩展错误或安装任何其他必需的PHP扩展。 它们全天候提供24×7的服务,并会立即处理您的要求。

聚苯乙烯。 如果您喜欢这篇关于如何解决“您的PHP安装似乎缺少MySQL扩展”错误的帖子,请使用左侧的按钮与社交网络上的朋友分享该帖子,或者在下面留下一个答复。 谢谢。

Sidebar